<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>
        <record model="ir.ui.view" id="data_pegawai_form_docs_inherit_view">
            <field name="name">partner.employee.sapk.inherit.form</field>
			<field name="model">res.partner</field>
            <field name="priority" eval="1"/>
            <field name="inherit_id" ref="df_partner_employee_sapk.data_pegawai_form_view"/>
            <field name="arch" type="xml">
                <xpath expr="//page[@string='Informasi Umum']" position='after'>
                   <page string="Manajemen Dokumen">
                    <div>
                        <field name="document_ids"   context="{'default_partner_id': active_id,}"   >
								<tree string="Daftar Dokumen" >
									<field name="partner_id" invisible="True" />
									<field name="parent_id"  string="Tipe Dokumen"  />
									<field name="name" string="Nama Dokumen" />
                                    <field name="description" string="Deskripsi"  />
								</tree>
                                <form>
                                    <group>
                                        <field name="partner_id" invisible="True" />
                                        <field name="parent_id" string="Tipe Dokumen" widget="selection" class="oe_inline" domain="[('parent_id', '=',1)]" />
                                        <field name="name" string="Nama Dokumen" class="oe_inline"/>
                                        <field name="datas" string="Berkas Dokumen"  />
                                        <field name="description" string="Deskripsi" />
                                    </group>
                                </form>
							</field>

                    </div>
                    </page>
                </xpath>
            </field>
        </record>

    </data>

</openerp>